''
'' .obj load/show by ssjx (http://ssjx.co.uk)
''

type colrgb
	r as single
	g as single
	b as single
end type

type myquad
	type as integer 	''4=quad 3=triangle >poly
	v(40) as integer
	n(40) as integer
	t(40) as integer	
	tno as uinteger		'' texture number for this quad
	dif as colrgb
end type

type mypoint
	x as single
	y as single
	z as single
end type



type texturepoint
	x as single
	y as single
end type

''
'' If you know your object(s) will not use the number of quads etc allocated,
'' then it would be best to lower the value to save wasting memory.

type myobject
	  quad(600) as myquad
	  pt(600) as mypoint
	  normal(600) as mypoint
	  tpt(600) as texturepoint
	  faces as integer
	  texture(20) as uinteger	'' list of texture handles for this object
end type

type texturelist
	matname as string
	handle as uinteger
	dif as colrgb
end type

''
'' Bitmap header - Used by the texture loader, only care about w/h
''

type textbmphdr field=1
	bm as short		''0
	size as integer		''2
	zero as integer		''6
	offset as integer	''10
	sizeb as integer	''14
	w as uinteger		''18
	h as uinteger		''22
	junk(27) as ubyte
end type
